InverseCumulativeBehrensFisher Class Reference

Inverse of the cumulative of the convolution of odd-T distributions. More...

`#include <ql/experimental/math/convolvedstudentt.hpp>`

## Public Types

typedef Real | result_type
typedef Probability | argument_type

## Public Member Functions

| InverseCumulativeBehrensFisher (const std::vector< Integer > &degreesFreedom=std::vector< Integer >(), const std::vector< Real > &factors=std::vector< Real >(), Real accuracy=1.e-6)
Real | operator() (Probability q) const
| Returns the cumulative inverse value.

## Detailed Description

Inverse of the cumulative of the convolution of odd-T distributions.

Finds the inverse through a root solver. To find limits for the solver domain use is made of the property that the convolved distribution is bounded above by the normalized gaussian. If the coeffiecient in the linear combination add up to a number below one the T of order one can be used as a limit below but in general this is not necessarily the case and a constant is used. Also the fact that the combination is symmetric is used.

## Constructor & Destructor Documentation

## InverseCumulativeBehrensFisher()

InverseCumulativeBehrensFisher | ( | const std::vector< Integer > & | degreesFreedom = `std::vector< Integer >()`,
|  | const std::vector< Real > & | factors = `std::vector< Real >()`,
|  | Real | accuracy = `1.e-6`
| ) |  |

Parameters

  degreesFreedom | Degrees of freedom of the Ts convolved. The algorithm is limited to odd orders only.
  factors | Factors in the linear combination of the Ts.
  accuracy | The accuracy of the root-solving process.